/**
 * 封装Vuex
 * @author Rockery(1113269755@qq.com)
 */

import Vue from 'vue';
import Vuex from 'vuex';
import complaintsDetails from './modules/complaintsdetails';
import regulationsDetails from './modules/regulationsdetails';
import expertsModal from './modules/expertsmodal';
import expertsDetail from './modules/expertsdetail';
import monitoringDetail from './modules/monitoringdetail';
import noticeDetail from './modules/noticedetail';
import getters from './getters'

Vue.use(Vuex);

const store = new Vuex.Store({
  modules: {
    complaintsDetails,
    regulationsDetails,
    expertsModal,
    expertsDetail,
    monitoringDetail,
    noticeDetail
  },
  getters
});

export default store;
